<?php

declare(strict_types=1);

namespace RprtCli\Utils\TimeTrackingServices;

use RprtCli\Utils\TimeTrackingServices\EntityDefinition;
use RprtCli\Utils\TimeTrackingServices\EntityInterface;

/**
 * Describes entity manager interface.
 */
interface EntityManagerInterface {

    /**
     * List supported entity types.
     */
    public function list(): array;

    /**
     * Gets entity interface.
     */
    public function getDefinition(string $id): ?array;

    public function createInstance(string $id, array $values): ?EntityInterface;

}
