<?php

declare(strict_types=1);

namespace RprtCli\Utils\TimeTrackingServices\YoutrackRestApi\YoutrackEntityTypes;

use RprtCli\Utils\TimeTrackingServices\YoutrackRestApi\YoutrackEntity;
use RprtCli\Utils\TimeTrackingServices\EntityDefinition;

/**
 * https://www.jetbrains.com/help/youtrack/devportal/api-entity-Issue.html
 */
#[EntityDefinition(
    'issue',
    'youtrack_rest_api',
    'Issue',
    [],
    []
 )]
class YoutrackIssue extends YoutrackEntity {
    const ID = 'issue';
    const NAME = 'name';
    const FIELDS = [
        'id',
        'idReadable',
        'created',
        'updated',
        'project',
        'summary',
        'description',
        'links',
    ];
    // Missing fields
    const CUSTOM_FIELDS = [
        'assignee',
        'state',
    ];
    const FILTERS = [
        'project',
        'state',
    ];
}
